import java.io.File;
import java.io.RandomAccessFile;

public abstract class Class496 {

   public static Class64 aClass64_5919;


   static void method8300(Class225_Sub14_Sub10 var0, byte var1) {
      boolean var2 = false;
      var0.method13603(-1882977104);

      for(Class225_Sub14_Sub10 var3 = (Class225_Sub14_Sub10)Class2.aClass455_34.method7602(892781640); null != var3; var3 = (Class225_Sub14_Sub10)Class2.aClass455_34.method7604(-646532979)) {
         if(Class555.method11856(var0.method16190(-2033810603), var3.method16190(-2033810603), (byte)-9)) {
            Class249.method4459(var0, var3, 188015452);
            var2 = true;
            break;
         }
      }

      if(!var2) {
         Class2.aClass455_34.method7600(var0, 605214251);
      }

   }

   public static void method8301(boolean var0, int var1) {
      if(2106080509 * client.anInt7717 != 3 && 2106080509 * client.anInt7717 != 0) {
         if(!var0) {
            if(null != Class81.aClass118Array830) {
               Class118[] var2 = Class81.aClass118Array830;

               for(int var3 = 0; var3 < var2.length; ++var3) {
                  Class118 var4 = var2[var3];
                  var4.method2309((byte)-41);
               }
            }

            if(-1 != Class81.anInt832 * 236856503) {
               Class518.method10976(-876880511);
               Class226.anInt2621 = -1794711015;
               Class435.method7337(236856503 * Class81.anInt832, 255, 50, -1579376369);
            }
         }

         client.anInt7717 = 1643921663;
         Class29.anIntArrayArray363 = (int[][])null;
         Class411.aClass225_Sub23_5094 = null;
         client.aBool7907 = false;
         if(Class81.anInt838 * 1008726147 > 0) {
            Class363.method6461(Class386.aClass386_4828, 1008726147 * Class81.anInt838, -1, (byte)63);
         }

         Class12.method717(1468510374);
         Class225_Sub15 var5 = Class543.method11415(OutgoingOpcode.aClass302_3772, client.aClass180_7704.aClass433_2184, (byte)1);
         var5.buffer.writeByte(var0?1:0, -765864773);
         client.aClass180_7704.method3191(var5, (byte)-64);
      }
   }

   public static File method8302(String var0, byte var1) {
      if(!Class289.aBool3409) {
         throw new RuntimeException("");
      } else {
         File var2 = (File)Class289.aHashtable3411.get(var0);
         if(var2 != null) {
            return var2;
         } else {
            File var3 = new File(Class289.aFile3410, var0);
            RandomAccessFile var4 = null;

            try {
               File var5 = new File(var3.getParent());
               if(!var5.exists()) {
                  throw new RuntimeException("");
               } else {
                  var4 = new RandomAccessFile(var3, "rw");
                  int var6 = var4.read();
                  var4.seek(0L);
                  var4.write(var6);
                  var4.seek(0L);
                  var4.close();
                  Class289.aHashtable3411.put(var0, var3);
                  return var3;
               }
            } catch (Exception var8) {
               try {
                  if(null != var4) {
                     var4.close();
                     var4 = null;
                  }
               } catch (Exception var7) {
                  ;
               }

               throw new RuntimeException();
            }
         }
      }
   }

   public static int[] method8303(int var0, int var1) {
      int[] var2 = new int[3];
      Class90.method1801(Class133.method2501(var0, -1140919235));
      var2[0] = Class409.aCalendar5008.get(5);
      var2[1] = Class409.aCalendar5008.get(2);
      var2[2] = Class409.aCalendar5008.get(1);
      return var2;
   }

   static void method8304(Class508 var0, byte var1) {
      var0.anIntArray6027[-937710807 * var0.anInt6003 - 2] = Class453.aClass511_5677.method10849(var0.anIntArray6027[var0.anInt6003 * -937710807 - 2], -231404655).method10861(Class118_Sub1.aClass175_8204, var0.anIntArray6027[-937710807 * var0.anInt6003 - 1], -1670129067)?1:0;
      var0.anInt6003 -= 98312473;
   }

   static final void method8305(Class508 var0, int var1) throws Exception_Sub4 {
      var0.anInt6003 -= 196624946;
      int var2 = var0.anIntArray6027[var0.anInt6003 * -937710807];
      int var3 = var0.anIntArray6027[var0.anInt6003 * -937710807 + 1];
      Class336.aClass35_Sub1_4206.method919((float)((double)var2 * 3.141592653589793D * 2.0D / 16384.0D), (float)(3.141592653589793D * (double)var3 * 2.0D / 16384.0D), (byte)11);
   }
}
